Package org.pushingpixels.substance.api.fonts

# Class SubstanceFontUtilities

java.lang.Object
org.pushingpixels.substance.api.fonts.SubstanceFontUtilities

public class SubstanceFontUtilities extends Object
Font-related utilities.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceFontUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static FontPolicy`
`getDefaultFontPolicy()`
Returns the default platform-specific font policy.
`static FontPolicy`
`getScaledFontPolicy(float scaleFactor)`
Returns scaled platform-specific font policy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceFontUtilities

public SubstanceFontUtilities()

## Method Details

### getDefaultFontPolicy

public static FontPolicy getDefaultFontPolicy()
Returns the default platform-specific font policy.

Returns:
  Default platform-specific font policy.

### getScaledFontPolicy

public static FontPolicy getScaledFontPolicy(float scaleFactor)
Returns scaled platform-specific font policy.

Parameters:
  `scaleFactor` - Scale factor. Should be positive.
Returns:
  Scaled platform-specific font policy.